<?xml version="1.0" encoding="utf-8" standalone="yes"?><rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>Distributive Receiver on</title><link>https://api.doc.securemcloud.com/api-doc/signaling-endpoints/</link><description>Recent content in Distributive Receiver on</description><generator>Hugo -- gohugo.io</generator><lastBuildDate>Tue, 06 Oct 2020 08:48:23 +0000</lastBuildDate><atom:link href="https://api.doc.securemcloud.com/api-doc/signaling-endpoints/index.xml" rel="self" type="application/rss+xml"/><item><title>Get Started</title><link>https://api.doc.securemcloud.com/api-doc/signaling-endpoints/signals-get-started/</link><pubDate>Tue, 13 Oct 2020 15:21:01 +0200</pubDate><guid>https://api.doc.securemcloud.com/api-doc/signaling-endpoints/signals-get-started/</guid><description>The Distributive Receiver API allows users to queue alarm events for Central Stations. Prior to completing calls to this API, you should coordinate with your Central Station to determine a dnis and range of panel codes.
This documentation will walk you through authentication and making your first API call. We will call the Heartbeat endpoint within this documentation.
Audience # This documentation is intended for users who understand how to make REST API calls.</description></item><item><title>Signal</title><link>https://api.doc.securemcloud.com/api-doc/signaling-endpoints/distrx-endpoint/</link><pubDate>Tue, 13 Oct 2020 15:21:01 +0200</pubDate><guid>https://api.doc.securemcloud.com/api-doc/signaling-endpoints/distrx-endpoint/</guid><description>This documentation will describe the Signal endpoint. This endpoint allows users to queue alarm signals (using Contact ID format) for delivery to a specified receiver driver.
See the Authentication documentation for information on how to obtain the authentication headers within the request.
Request body # When calling the Signal endpoint, users must include the additional header Content-Type with the request.
Header Type Required Description Content-Type string Yes Indicates the formatting of the request body.</description></item><item><title>Heartbeat</title><link>https://api.doc.securemcloud.com/api-doc/signaling-endpoints/heartbeat-endpoint/</link><pubDate>Tue, 13 Oct 2020 15:21:01 +0200</pubDate><guid>https://api.doc.securemcloud.com/api-doc/signaling-endpoints/heartbeat-endpoint/</guid><description>This documentation will describe the Heartbeat endpoint. This endpoint allows users to perform the necessary call that notifies the driver that the source of alarm events is healthy. Users must call this endpoint every 20 seconds.
See the Authentication documentation for information on how to obtain the authentication headers within the request.
Example request # curl --location 'https://rx-test.securemcloud.com/rx/demo:driver1/hb' \ --header 'Authorization: Bearer 6r7R5mSCdWpVMQCzj72TcZHpd5bkLvDE' Example response # { &amp;quot;status_code&amp;quot;: 200, &amp;quot;status&amp;quot;: &amp;quot;success&amp;quot; } Possible error messages # No access to this receiver # The HTTP_BEARER_TOKEN provided doesn&amp;rsquo;t have permission to send a heartbeat to the defined SOURCE:DESTINATON.</description></item></channel></rss>